[arch-commits] Commit in lz4/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Sébastien Luttringer seblu at gemini.archlinux.org
Wed Aug 17 22:25:35 UTC 2022


    Date: Wednesday, August 17, 2022 @ 22:25:35
  Author: seblu
Revision: 453078

archrelease: copy trunk to testing-x86_64

Added:
  lz4/repos/testing-x86_64/
  lz4/repos/testing-x86_64/PKGBUILD
    (from rev 453077, lz4/trunk/PKGBUILD)

----------+
 PKGBUILD |   51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

Copied: lz4/repos/testing-x86_64/PKGBUILD (from rev 453077, lz4/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2022-08-17 22:25:35 UTC (rev 453078)
@@ -0,0 +1,51 @@
+# Maintainer: Sébastien Luttringer
+
+pkgname=lz4
+epoch=1
+pkgver=1.9.4
+pkgrel=1
+pkgdesc='Extremely fast compression algorithm'
+arch=('x86_64')
+url='https://lz4.github.io/lz4/'
+license=('GPL2')
+makedepends=('git')
+checkdepends=('diffutils')
+depends=('glibc')
+source=("git+https://github.com/lz4/lz4.git#tag=v$pkgver")
+sha256sums=('SKIP')
+
+prepare() {
+  cd $pkgname
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  # do not use the main makefile, it calls sub make with -e
+  # exported CLFAGS by makepkg break the version. see FS#50071
+  cd $pkgname
+  make -C lib PREFIX=/usr
+  make -C programs PREFIX=/usr lz4 lz4c
+}
+
+check() {
+  rm -f passwd.lz4
+  $pkgname/programs/lz4 /etc/passwd passwd.lz4
+  $pkgname/programs/lz4 -d passwd.lz4 passwd
+  diff -q /etc/passwd passwd
+  rm passwd
+}
+
+package() {
+  cd $pkgname
+  make install PREFIX=/usr DESTDIR="$pkgdir"
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list